AFMTODIT(1)

NAME
afmtodit - create font files for use with groff -Tps

SYNOPSIS
afmtodit [ -ns ] [ -ddesc_file ] [ -eenc_file ] [ -in ] [ -an ] afm_file map_file font

DESCRIPTION
afmtodit creates a font file for use with groff and grops. afmtodit is written in perl; you must have perl version 3 installed in order to run afmtodit. afm_file is the AFM (Adobe Font Metric) file for the font. map_file is a file that says which groff character names map onto each PostScript character name; this file should contain a sequence of lines of the form

    ps_char groff_char

where ps_char is the PostScript name of the character and groff_char is the groff name of the character (as used in the groff font file.) The same ps_char can occur multiple times in the file; each groff_char must occur at most once. font is the groff name of the font. If a PostScript character is in the encoding to be used for the font but is not mentioned in map_file then afmtodit will put it in the groff font file as an unnamed character, which can be accessed by the \N escape sequence in troff. The groff font file will be output to a file called font.

If there is a downloadable font file for the font, it may be listed in the file /usr/local/share/jgroff/font/devps/download; see grops(1).

If the -i option is used, afmtodit will automatically generate an italic correction, a left italic correction and a subscript correction for each character (the significance of these parameters is explained in groff_font(5)); these parameters may be specified for individual characters by adding to the afm_file lines of the form:

    italicCorrection ps_char n
    leftItalicCorrection ps_char n
    subscriptCorrection ps_char n

where ps_char is the PostScript name of the character, and n is the desired value of the corresponding parameter in thousandths of an em. These parameters are normally needed only for italic (or oblique) fonts.

OPTIONS

-n  Don't output a ligatures command for this font. Use this with constant-width fonts.

-s  The font is special. The effect of this option is to add the special command to the font file.

-ddesc_file
    The device description file is desc_file rather than the default DESC.

-eenc_file
    The PostScript font should be reencoded to use the encoding described in enc_file. The format of enc_file is described in grops(1).

-an Use n as the slant parameter in the font file; this is used by groff in the positioning of accents. By default afmtodit uses the negative of the ItalicAngle specified in the afm file; with true italic fonts it is sometimes desirable to use a slant that is less than this. If you find that characters from an italic font have accents placed too far to the right over them, then use the -a option to give the font a smaller slant.

-in Generate an italic correction for each character so that the character's width plus the character's italic correction is equal to n thousandths of an em plus the amount by which the right edge of the character's bounding is to the right of the character's origin. If this would result in a negative italic correction, use a zero italic correction instead.

    Also generate a subscript correction equal to the product of the tangent of the slant of the font and four fifths of the x-height of the font. If this would result in a subscript correction greater than the italic correction, use a subscript correction equal to the italic correction instead.

    Also generate a left italic correction for each character equal to n thousandths of an em plus the amount by which the left edge of the character's bounding box is to the left of the character's origin. The left italic correction may be negative.

    This option is normally needed only with italic (or oblique) fonts. The font files distributed with groff were created using an option of -i50 for italic fonts.

FILES
/usr/local/share/jgroff/font/devps/DESC Device description file.

/usr/local/share/jgroff/font/devps/F
    Font description file for font F.

/usr/local/share/jgroff/font/devps/download
    List of downloadable fonts.

/usr/local/share/jgroff/font/devps/text.enc
    Encoding used for text fonts.

/usr/local/share/jgroff/font/devps/generate/textmap
    Standard mapping.

SEE ALSO
groff(1), grops(1), groff_font(5), perl(1)